libxml2: chvalid.h File Reference

libxml2

Loading...
Searching...
No Matches
Macros | Functions
chvalid.h File Reference

Unicode character range checking. More...

## Macros
#define | xmlIsBaseChar_ch(c)
| Automatically generated by genChRanges.py.
#define | xmlIsBaseCharQ(c)
| Automatically generated by genChRanges.py.
#define | xmlIsBlank_ch(c)
| Automatically generated by genChRanges.py.
#define | xmlIsBlankQ(c)
| Automatically generated by genChRanges.py.
#define | xmlIsChar_ch(c)
| Automatically generated by genChRanges.py.
#define | xmlIsCharQ(c)
| Automatically generated by genChRanges.py.
#define | xmlIsCombiningQ(c)
| Automatically generated by genChRanges.py.
#define | xmlIsDigit_ch(c) (((0x30 <= (c)) && ((c) <= 0x39)))
| Automatically generated by genChRanges.py.
#define | xmlIsDigitQ(c)
| Automatically generated by genChRanges.py.
#define | xmlIsExtender_ch(c) (((c) == 0xb7))
| Automatically generated by genChRanges.py.
#define | xmlIsExtenderQ(c)
| Automatically generated by genChRanges.py.
#define | xmlIsIdeographicQ(c)
| Automatically generated by genChRanges.py.
#define | xmlIsPubidChar_ch(c) (xmlIsPubidChar_tab[(c)])
| Automatically generated by genChRanges.py.
#define | xmlIsPubidCharQ(c)
| Automatically generated by genChRanges.py.

## Functions
int | xmlIsBaseChar (unsigned int ch)
int | xmlIsBlank (unsigned int ch)
int | xmlIsChar (unsigned int ch)
int | xmlIsCombining (unsigned int ch)
int | xmlIsDigit (unsigned int ch)
int | xmlIsExtender (unsigned int ch)
int | xmlIsIdeographic (unsigned int ch)
int | xmlIsPubidChar (unsigned int ch)

## Detailed Description

Unicode character range checking.

this module exports interfaces for the character range validation APIs

## Macro Definition Documentation

## ◆ xmlIsBaseChar_ch

#define xmlIsBaseChar_ch | ( |  | c | ) |

Value:
(((0x41 <= (c)) && ((c) <= 0x5a)) || \
((0x61 <= (c)) && ((c) <= 0x7a)) || \
((0xc0 <= (c)) && ((c) <= 0xd6)) || \
((0xd8 <= (c)) && ((c) <= 0xf6)) || \
(0xf8 <= (c)))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsBaseCharQ

#define xmlIsBaseCharQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
xmlIsBaseChar_ch((c)) : \
xmlCharInRange((c), &xmlIsBaseCharGroup))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsBlank_ch

#define xmlIsBlank_ch | ( |  | c | ) |

Value:
(((c) == 0x20) || \
((0x9 <= (c)) && ((c) <= 0xa)) || \
((c) == 0xd))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsBlankQ

#define xmlIsBlankQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
xmlIsBlank_ch((c)) : 0)

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsChar_ch

#define xmlIsChar_ch | ( |  | c | ) |

Value:
(((0x9 <= (c)) && ((c) <= 0xa)) || \
((c) == 0xd) || \
(0x20 <= (c)))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsCharQ

#define xmlIsCharQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
xmlIsChar_ch((c)) :\
(((0x100 <= (c)) && ((c) <= 0xd7ff)) || \
((0xe000 <= (c)) && ((c) <= 0xfffd)) || \
((0x10000 <= (c)) && ((c) <= 0x10ffff))))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsCombiningQ

#define xmlIsCombiningQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
0 : \
xmlCharInRange((c), &xmlIsCombiningGroup))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsDigit_ch

#define xmlIsDigit_ch | ( |  | c | ) | (((0x30 <= (c)) && ((c) <= 0x39)))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsDigitQ

#define xmlIsDigitQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
xmlIsDigit_ch((c)) : \
xmlCharInRange((c), &xmlIsDigitGroup))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsExtender_ch

#define xmlIsExtender_ch | ( |  | c | ) | (((c) == 0xb7))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsExtenderQ

#define xmlIsExtenderQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
xmlIsExtender_ch((c)) : \
xmlCharInRange((c), &xmlIsExtenderGroup))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsIdeographicQ

#define xmlIsIdeographicQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
0 :\
(((0x4e00 <= (c)) && ((c) <= 0x9fa5)) || \
((c) == 0x3007) || \
((0x3021 <= (c)) && ((c) <= 0x3029))))

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsPubidChar_ch

#define xmlIsPubidChar_ch | ( |  | c | ) | (xmlIsPubidChar_tab[(c)])

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## ◆ xmlIsPubidCharQ

#define xmlIsPubidCharQ | ( |  | c | ) |

Value:
(((c) < 0x100) ? \
xmlIsPubidChar_ch((c)) : 0)

Automatically generated by genChRanges.py.

Parameters

  c | char to validate

## Function Documentation

## ◆ xmlIsBaseChar()

int xmlIsBaseChar | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsBaseChar_ch or xmlIsBaseCharQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise

## ◆ xmlIsBlank()

int xmlIsBlank | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsBlank_ch or xmlIsBlankQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise

## ◆ xmlIsChar()

int xmlIsChar | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsChar_ch or xmlIsCharQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise

## ◆ xmlIsCombining()

int xmlIsCombining | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsCombiningQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise

## ◆ xmlIsDigit()

int xmlIsDigit | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsDigit_ch or xmlIsDigitQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise

## ◆ xmlIsExtender()

int xmlIsExtender | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsExtender_ch or xmlIsExtenderQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise

## ◆ xmlIsIdeographic()

int xmlIsIdeographic | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsIdeographicQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise

## ◆ xmlIsPubidChar()

int xmlIsPubidChar | ( | unsigned int | ch | ) |

Deprecated:
  Use xmlIsPubidChar_ch or xmlIsPubidCharQ.

Parameters

  ch | character to validate

Returns
  true if argument valid, false otherwise